cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 10694] New: - No default for pipelines causes existing cocoon installs to crash
Date Thu, 11 Jul 2002 14:31:02 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=10694>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=10694

No default for pipelines causes existing cocoon installs to crash

           Summary: No default for pipelines causes existing cocoon installs
                    to crash
           Product: Cocoon 2
           Version: Current CVS
          Platform: Other
        OS/Version: Other
            Status: NEW
          Severity: Blocker
          Priority: Other
         Component: sitemap components
        AssignedTo: cocoon-dev@xml.apache.org
        ReportedBy: bloritsch@apache.org


The new element for defining pipelines in Cocoon is new to the 2.1 branch.
Unfortunately Cocoon cannot operate without a pipeline, and will not use
any pipeline if it is not defined in the map:components section.

As a result, older cocoon webapps developed against Cocoon 2.0.x will not
be able to run when they upgrade.

Anytime we make a core component exchangeable where it was hardcoded before,
we must provide a default so as not to break existing applications.

---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message